<template>
  <div class="app-container">
    <span style="font-size: 20px;font-weight: 550">课程汲取与课程监管</span>
    <div style="margin-left: -35px;margin-top: 15px">
      <el-select v-model="queryParams.institutionId"  size="small" style="margin-left: 40px;" placeholder="请选择平台">
        <el-option
          v-for="item in platformList"
          :key="item.id"
          :label="item.institutionalName"
          :value="item.id">
        </el-option>
      </el-select>
      <el-button
        size="small"
        type="primary"
        style="margin-bottom: 10px;margin-left: 20px"
        @click="handleQuery()"
      >查询</el-button>
      <el-button
        size="small"
        type="primary"
        style="margin-bottom: 10px"
        @click="resetQuery()"
      >重置</el-button>
    </div>
    <el-table v-loading="loading" :data="expertList" style="margin-top: 10px">
      <el-table-column label="课程编码" align="center" prop="courseCode" />
      <el-table-column label="上报平台" align="center" prop="institutionName" />
      <el-table-column label="课程名称" align="center" prop="courseName" />
      <el-table-column label="课程内容" align="center" prop="courseNum" >
        <template #default="scope">
          <span @click="handleViewCourse(scope.row,'')" style="color: #1890ff;cursor: pointer">{{scope.row.courseNum}}</span>
        </template>
      </el-table-column>
      <el-table-column label="总课时" align="center" prop="lessonNum" />
      <el-table-column label="查看已学学员" align="center" prop="studentCount" >
        <template #default="scope">
          <span style="color: #1890ff;cursor: pointer" @click="openStudent(scope.row)">{{scope.row.studentCount}}</span>
        </template>
      </el-table-column>
      <el-table-column label="删除标识" align="center" prop="delFlag" >
        <template #default="scope">
          <span>{{scope.row.delFlag == 0 ? '未删除' : '已删除'}}</span>
        </template>
      </el-table-column>
      <el-table-column label="创建时间" align="center" prop="createTime" width="100"/>
      <el-table-column label="最近修改时间" align="center" prop="updateTime" width="100" />
      <el-table-column label="审核状态" align="center" prop="" >
        <template #default="scope">
          <span>{{scope.row.status == 1 ? '待审核' :scope.row.status == 2 ? '审核通过' :scope.row.status == 3 ? '审核驳回' : ''  }}</span>
        </template>
      </el-table-column>
      <el-table-column label="操作" align="center" class-name="small-padding fixed-width">
        <template #default="scope">
          <el-button
            size="mini"
            type="text"
            style="color: #1890ff"
            @click="handleViewCourse(scope.row,'')"
          >详情</el-button>
          <el-button
            v-if="scope.row.status == 1"
            size="mini"
            type="text"
            style="color: #1890ff"
            @click="handleViewCourse(scope.row,'check')"
          >审核</el-button>
        </template>
      </el-table-column>
    </el-table>
    <pagination
      v-show="total>0"
      :total="total"
      :page.sync="queryParams.pageNum"
      :limit.sync="queryParams.pageSize"
      @pagination="getList"
    />
    <course-dialog ref="courseDialogRef" @getList = "getList"></course-dialog>
    <studentList ref="studentDialog" @getList = "getList"></studentList>
  </div>
</template>

<script>
import courseDialog from '@/views/onlineEducation/courseSupervision/components/courseDialog.vue'
import studentList from '@/views/onlineEducation/count/components/studentList.vue'
import { delJobRegist } from '@/api/coalMine/jobRegist'
import { listPlat, listPlatSelect } from '@/api/onlineEducation/plat'
import { listCourse } from '@/api/onlineEducation/course'
export default {
  name: "nPeopleManage",
  dicts: [],
  components: { courseDialog,studentList},
  data() {
    return {
      loading: false,
      single: true,
      multiple: true,
      showSearch: true,
      addForm: false,
      total: 0,
      platformList: [],
      expertList: [],
      queryParams: {
        pageNum: 1,
        pageSize: 10,
        institutionId: ''
      },
    };
  },
  created() {
    this.getPlat();
    this.getList();
  },
  methods: {
    getList(){
      this.loading = true;
      listCourse( this.queryParams).then((res) => {
        if (res.code == 200) {
          this.expertList = res.rows.map(item => {
            return {
              ...item,
              courseNum: item.outline ? item.outline.length : '',
            }
          })
          this.total = res.total
          this.loading = false;
        }
      })
    },
    openUrl(url) {
      window.open(url,'_blank')
    },
    getPlat() {
      listPlatSelect().then((res) => {
        if (res.code == 200) {
          this.platformList = res.data
        }
      })

    },
    handleChange(){

    },
    handleQuery(){
      this.getList();

    },
    resetQuery(){
      this.queryParams = {
        pageNum: 1,
        pageSize: 10,
        institutionId: ''
      }
      this.getList();
    },
    handleViewCourse(data,courseType){
      this.$refs.courseDialogRef.openDialog(data,'course',courseType);
    },
    openStudent(data) {
      this.$refs.studentDialog.openDialog(data,'course');
    },
    check(val){
      this.$confirm('此操作将审核该条数据, 是否继续?', '提示', {
        confirmButtonText: '确定',
        cancelButtonText: '取消',
        type: 'warning'
      }).then(async () => {
      }).catch(() => {

      });
    }
  }
};
</script>
